@ECHO OFF
CLS
:LOOP
ECHO PRESS F1 to Display F1
ECHO PRESS F2 to Display F2
ECHO PRESS F3 to Display F3
ECHO PRESS F4 to Display F4 
ECHO PRESS F5 to Display F5
ECHO PRESS F6 to Display F6
ECHO PRESS F7 to Display F7
ECHO PRESS F8 to Display F8
ECHO PRESS F9 to Display F9
ECHO PRESS F10 to Quit to DOS.

:GET_KEY
F1TOF10
IF ERRORLEVEL 69 GOTO GET_KEY
IF ERRORLEVEL 68 GOTO DONE
IF ERRORLEVEL 67 IF NOT ERRORLEVEL 68 ECHO THIS IS F9
IF ERRORLEVEL 66 IF NOT ERRORLEVEL 67 ECHO THIS IS F8
IF ERRORLEVEL 65 IF NOT ERRORLEVEL 66 ECHO THIS IS F7
IF ERRORLEVEL 64 IF NOT ERRORLEVEL 65 ECHO THIS IS F6
IF ERRORLEVEL 63 IF NOT ERRORLEVEL 64 ECHO THIS IS F5
IF ERRORLEVEL 62 IF NOT ERRORLEVEL 63 ECHO THIS IS F4
IF ERRORLEVEL 61 IF NOT ERRORLEVEL 62 ECHO THIS IS F3
IF ERRORLEVEL 60 IF NOT ERRORLEVEL 61 ECHO THIS IS F2
IF ERRORLEVEL 59 IF NOT ERRORLEVEL 60 ECHO THIS IS F1

GOTO LOOP
:DONE
